IM_LRMERGE(3X)

NAME
im_lrmerge, im_tbmerge, im_lrsmerge, im_tbsmerge, im_lrmergeb, im_tbmergeb - merges two images with a given dx and dy

SYNOPSIS
#include <vips/vips.h> int im_lrmerge( ref, sec, out, dx, dy, mwidth )
IMAGE *ref, *sec, *out;
int dx, dy;
int mwidth; int im_tbmerge( ref, sec, out, dx, dy, mwidth )
IMAGE *ref, *sec, *out;
int dx, dy;
int mwidth;

DESCRIPTION
im_lrmerge() and im_tbmerge() merge the images held by the image descriptors reference and secondary (ref and sec) according to the values dx and dy. dx and dy give the displacement of sec relative to ref. The result is written on the image descriptor out. The program carries out a smooth merge using a raised cosine function. Both work for any image type, including LABPACK. The functions treat pixels with the value zero as "transparent", that is, zero pixels in the overlap area do not contribute to the merge. This makes it possible to join non-rectangular images. The "mwidth" parameter limits the maximum width (or height) of the blend area. A value of "-1" means "unlimited". All other negative values are errors.

RETURN VALUE
Both functions return 0 on success and -1 on error.

SEE ALSO
im_lrmosaic(3X), im_tbmosaic(3X), im_match_linear(3X).